# Uses of Class
org.globus.ftp.dc.Task

Packages that use Task
Package
Description
org.globus.ftp.dc

## Uses of Task in org.globus.ftp.dc

Subclasses of Task in org.globus.ftp.dc
Modifier and Type
Class
Description
`class`
`ActiveConnectTask`
Makes a connection to a remote data channel (FTPClient use only).
`class`
`ActiveStartTransferTask`
This task will start the transfer on the supplied socket.
`class`
`GridFTPActiveConnectTask`
Unlike in the parent class, here we use authentication and protection.
`class`
`GridFTPPassiveConnectTask`
Unlike in the parent class, here we use authentication and protection.
`class`
`PassiveConnectTask`
This task will wait on the local server for the new incoming connection and when it comes it will start a new transfer thread on the new connection.
Methods in org.globus.ftp.dc that return Task
Modifier and Type
Method
Description
`Task`
TaskThread.`getNextTask()`
Methods in org.globus.ftp.dc with parameters of type Task
Modifier and Type
Method
Description
`void`
TaskThread.`runTask(Task task)`